CVE-2004-0957

Current Description

Unknown vulnerability in MySQL 3.23.58 and earlier, when a local user has privileges for a database whose name includes a "_" (underscore), grants privileges to other databases that have similar names, which can allow the user to conduct unauthorized activities.

Basic Data

PublishedFebruary 09, 2005
Last ModifiedDecember 17, 2019
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-noinfo
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score6.8
SeverityMEDIUM
Exploitability Score8.6
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegetrue

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationOpenpkgOpenpkg2.1*******
    2.3ApplicationOpenpkgOpenpkg2.2*******
    2.3ApplicationOpenpkgOpenpkgcurrent*******
    2.3ApplicationOracleMysql3.20*******
    2.3ApplicationOracleMysql3.20.32a*******
    2.3ApplicationOracleMysql3.21*******
    2.3ApplicationOracleMysql3.22*******
    2.3ApplicationOracleMysql3.22.26*******
    2.3ApplicationOracleMysql3.22.27*******
    2.3ApplicationOracleMysql3.22.28*******
    2.3ApplicationOracleMysql3.22.29*******
    2.3ApplicationOracleMysql3.22.30*******
    2.3ApplicationOracleMysql3.22.32*******
    2.3ApplicationOracleMysql3.23*******
    2.3ApplicationOracleMysql3.23.2*******
    2.3ApplicationOracleMysql3.23.3*******
    2.3ApplicationOracleMysql3.23.4*******
    2.3ApplicationOracleMysql3.23.5*******
    2.3ApplicationOracleMysql3.23.8*******
    2.3ApplicationOracleMysql3.23.9*******
    2.3ApplicationOracleMysql3.23.10*******
    2.3ApplicationOracleMysql3.23.22*******
    2.3ApplicationOracleMysql3.23.23*******
    2.3ApplicationOracleMysql3.23.24*******
    2.3ApplicationOracleMysql3.23.25*******
    2.3ApplicationOracleMysql3.23.26*******
    2.3ApplicationOracleMysql3.23.27*******
    2.3ApplicationOracleMysql3.23.28*******
    2.3ApplicationOracleMysql3.23.28gamma******
    2.3ApplicationOracleMysql3.23.29*******
    2.3ApplicationOracleMysql3.23.30*******
    2.3ApplicationOracleMysql3.23.31*******
    2.3ApplicationOracleMysql3.23.32*******
    2.3ApplicationOracleMysql3.23.33*******
    2.3ApplicationOracleMysql3.23.34*******
    2.3ApplicationOracleMysql3.23.36*******
    2.3ApplicationOracleMysql3.23.37*******
    2.3ApplicationOracleMysql3.23.38*******
    2.3ApplicationOracleMysql3.23.39*******
    2.3ApplicationOracleMysql3.23.40*******
    2.3ApplicationOracleMysql3.23.41*******
    2.3ApplicationOracleMysql3.23.42*******
    2.3ApplicationOracleMysql3.23.43*******
    2.3ApplicationOracleMysql3.23.44*******
    2.3ApplicationOracleMysql3.23.45*******
    2.3ApplicationOracleMysql3.23.46*******
    2.3ApplicationOracleMysql3.23.47*******
    2.3ApplicationOracleMysql3.23.48*******
    2.3ApplicationOracleMysql3.23.49*******
    2.3ApplicationOracleMysql3.23.50*******
    2.3ApplicationOracleMysql3.23.51*******
    2.3ApplicationOracleMysql3.23.52*******
    2.3ApplicationOracleMysql3.23.53*******
    2.3ApplicationOracleMysql3.23.53a*******
    2.3ApplicationOracleMysql3.23.54*******
    2.3ApplicationOracleMysql3.23.54a*******
    2.3ApplicationOracleMysql3.23.55*******
    2.3ApplicationOracleMysql3.23.56*******
    2.3ApplicationOracleMysql3.23.58*******
    2.3ApplicationOracleMysql3.23.59*******
    2.3ApplicationOracleMysql4.0.0*******
    2.3ApplicationOracleMysql4.0.1*******
    2.3ApplicationOracleMysql4.0.2*******
    2.3ApplicationOracleMysql4.0.3*******
    2.3ApplicationOracleMysql4.0.4*******
    2.3ApplicationOracleMysql4.0.5*******
    2.3ApplicationOracleMysql4.0.5a*******
    2.3ApplicationOracleMysql4.0.6*******
    2.3ApplicationOracleMysql4.0.7*******
    2.3ApplicationOracleMysql4.0.7gamma******
    2.3ApplicationOracleMysql4.0.8*******
    2.3ApplicationOracleMysql4.0.8gamma******
    2.3ApplicationOracleMysql4.0.9*******
    2.3ApplicationOracleMysql4.0.9gamma******
    2.3ApplicationOracleMysql4.0.10*******
    2.3ApplicationOracleMysql4.0.11*******
    2.3ApplicationOracleMysql4.0.11gamma******
    2.3ApplicationOracleMysql4.0.12*******
    2.3ApplicationOracleMysql4.0.13*******
    2.3ApplicationOracleMysql4.0.14*******
    2.3ApplicationOracleMysql4.0.15*******
    2.3ApplicationOracleMysql4.0.18*******
    2.3ApplicationOracleMysql4.0.20*******
  • OR - Configuration 2
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSRedhatEnterprise Linux3.0*advanced_server*****
    2.3OSRedhatEnterprise Linux3.0*enterprise_server*****
    2.3OSRedhatEnterprise Linux3.0*workstation_server*****
    2.3OSRedhatEnterprise Linux Desktop3.0*******
    2.3OSSuseSuse Linux8.0*******
    2.3OSSuseSuse Linux8.1*******
    2.3OSSuseSuse Linux8.2*******
    2.3OSSuseSuse Linux9.0*******
    2.3OSSuseSuse Linux9.0*x86_64*****
    2.3OSSuseSuse Linux9.1*******
    2.3OSSuseSuse Linux9.2*******
    2.3OSTrustixSecure Linux1.5*******
    2.3OSTrustixSecure Linux2.0*******
    2.3OSTrustixSecure Linux2.1*******
    2.3OSUbuntuUbuntu Linux4.1*ia64*****
    2.3OSUbuntuUbuntu Linux4.1*ppc*****

Vulnerable Software List

VendorProductVersions
Openpkg Openpkg 2.1, 2.2, current
Redhat Enterprise Linux 3.0
Redhat Enterprise Linux Desktop 3.0
Ubuntu Ubuntu Linux 4.1
Oracle Mysql 3.20, 3.20.32a, 3.21, 3.22, 3.22.26, 3.22.27, 3.22.28, 3.22.29, 3.22.30, 3.22.32, 3.23, 3.23.10, 3.23.2, 3.23.22, 3.23.23, 3.23.24, 3.23.25, 3.23.26, 3.23.27, 3.23.28, 3.23.29, 3.23.3, 3.23.30, 3.23.31, 3.23.32, 3.23.33, 3.23.34, 3.23.36, 3.23.37, 3.23.38, 3.23.39, 3.23.4, 3.23.40, 3.23.41, 3.23.42, 3.23.43, 3.23.44, 3.23.45, 3.23.46, 3.23.47, 3.23.48, 3.23.49, 3.23.5, 3.23.50, 3.23.51, 3.23.52, 3.23.53, 3.23.53a, 3.23.54, 3.23.54a, 3.23.55, 3.23.56, 3.23.58, 3.23.59, 3.23.8, 3.23.9, 4.0.0, 4.0.1, 4.0.10, 4.0.11, 4.0.12, 4.0.13, 4.0.14, 4.0.15, 4.0.18, 4.0.2, 4.0.20, 4.0.3, 4.0.4, 4.0.5, 4.0.5a, 4.0.6, 4.0.7, 4.0.8, 4.0.9
Trustix Secure Linux 1.5, 2.0, 2.1
Suse Suse Linux 8.0, 8.1, 8.2, 9.0, 9.1, 9.2

References

NameSourceURLTags
CLA-2005:947http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000947CONECTIVA
P-018http://www.ciac.org/ciac/bulletins/p-018.shtmlCIAC
DSA-707http://www.debian.org/security/2005/dsa-707DEBIAN
MDKSA-2005:070http://www.mandriva.com/security/advisories?name=MDKSA-2005:070MANDRAKE
RHSA-2004:597http://www.redhat.com/support/errata/RHSA-2004-597.htmlREDHAT
RHSA-2004:611http://www.redhat.com/support/errata/RHSA-2004-611.htmlREDHAT
mysql-underscore-gain-priv(17783)https://exchange.xforce.ibmcloud.com/vulnerabilities/17783XF
USN-32-1https://www.ubuntu.com/usn/usn-32-1/UBUNTU